### Virtual Method

# Gtk AccessibleTextget_contents

since: 4.14

#### Declaration [src]

    GBytes*
    get_contents (
      GtkAccessibleText* self,
      unsigned int start,
      unsigned int end
    )

#### Description [src]

Retrieve the current contents of the accessible object within the given range.

If `end` is `G_MAXUINT`, the end of the range is the full content of the accessible object.

Available since: 4.14

#### Parameters

`start`

  Type: `unsigned int`

  The beginning of the range, in characters.

`end`

  Type: `unsigned int`

  The end of the range, in characters.

#### Return value

Type: `GBytes`

The requested slice of the contents of the accessible object, as UTF-8. Note that the slice does not have to be NUL-terminated.

The caller of the function takes ownership of the data, and is responsible for freeing it.